Docunext


CPAN

February 21st, 2008

Finally got CPAN to work well, thankfully. I had to install libc6-dev, and am also using "perl -MCPAN -e shell" instead of simply "cpan" to get going. Other general requirements were to install make and gcc.

I'm very happy about finally getting this to work right. I've used it in the past, but never without some issues.

Can't seem to get libxml-sax-perl to install on debian though, I'm getting this error:

Can't locate object method "save_parsers_debian" via package "XML::SAX" at /usr/bin/update-perl-sax-parsers line 

I fixed it with:

mv /usr/local/share/perl/5.8.8/XML/SAX.pm /usr/local/share/perl/5.8.8/XML/SAX.pm.bak

Thanks:

http://techero.wordpress.com/2008/02/12/problem-setting-up-libxml-perl-on-debianresolved/

http://ubuntuforums.org/showthread.php?p=1302053#post1302053

I also ran into this: Weak references are not implemented in the version of perl

Yearly Indexes: 2003 2004 2006 2007 2008 2009 2010 2011 2012 2013 2015 2019 2020